### Hierarchy

- OfferManagerImpl

### Implements

- OfferManager

## Index

### Constructors

- constructor

### Methods

- deleteOffer
- getAllOffers
- getMyOffers
- getMyOffersAndPage
- getMyOffersByTag
- getOffersByOwnerAndTag
- getOffersByPage
- saveOffer
- shallowSaveOffer
- updateBulkOffers

## Constructors

### constructor

- new OfferManagerImpl(offerRepository: OfferRepository, authAccountBehavior: Observable<Account>): OfferManagerImpl

- - Defined in manager/OfferManagerImpl.ts:10

  #### Parameters

  - ##### offerRepository: OfferRepository

  - ##### authAccountBehavior: Observable<Account>

  #### Returns OfferManagerImpl

## Methods

### deleteOffer

- deleteOffer(id: number): Promise<number>

- Implementation of OfferManager.deleteOffer

  - Defined in manager/OfferManagerImpl.ts:61

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### getAllOffers

- getAllOffers(): Promise<Array<Offer>>

- Implementation of OfferManager.getAllOffers

  - Defined in manager/OfferManagerImpl.ts:53
  deprecated
  see

    getOffersByPage

  #### Returns Promise<Array<Offer>>

### getMyOffers

- getMyOffers(id?: number): Promise<Array<Offer>>

- Implementation of OfferManager.getMyOffers

  - Defined in manager/OfferManagerImpl.ts:36

  #### Parameters

  - ##### Default value id: number = 0

  #### Returns Promise<Array<Offer>>

### getMyOffersAndPage

- getMyOffersAndPage(page?: number, size?: number): Promise<Page<Offer>>

- Implementation of OfferManager.getMyOffersAndPage

  - Defined in manager/OfferManagerImpl.ts:45

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<Offer>>

### getMyOffersByTag

- getMyOffersByTag(tag: string): Promise<Array<Offer>>

- Implementation of OfferManager.getMyOffersByTag

  - Defined in manager/OfferManagerImpl.ts:69

  #### Parameters

  - ##### tag: string

  #### Returns Promise<Array<Offer>>

### getOffersByOwnerAndTag

- getOffersByOwnerAndTag(owner: string, tag: string): Promise<Array<Offer>>

- Implementation of OfferManager.getOffersByOwnerAndTag

  - Defined in manager/OfferManagerImpl.ts:65

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<Offer>>

### getOffersByPage

- getOffersByPage(page?: number, size?: number): Promise<Page<Offer>>

- Implementation of OfferManager.getOffersByPage

  - Defined in manager/OfferManagerImpl.ts:57

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<Offer>>

### saveOffer

- saveOffer(offer: Offer): Promise<Offer>

- Implementation of OfferManager.saveOffer

  - Defined in manager/OfferManagerImpl.ts:17

  #### Parameters

  - ##### offer: Offer

  #### Returns Promise<Offer>

### shallowSaveOffer

- shallowSaveOffer(offer: Offer): Promise<Offer>

- Implementation of OfferManager.shallowSaveOffer

  - Defined in manager/OfferManagerImpl.ts:31

  #### Parameters

  - ##### offer: Offer

  #### Returns Promise<Offer>

### updateBulkOffers

- updateBulkOffers(offers: Array<Offer>): Promise<Array<number>>

- Implementation of OfferManager.updateBulkOffers

  - Defined in manager/OfferManagerImpl.ts:27

  #### Parameters

  - ##### offers: Array<Offer>

  #### Returns Promise<Array<number>>

Generated using TypeDoc